
/*! FONT - ORACLESANS FONT */
@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-Lt.woff2") format("woff2"), url("fonts/OracleSans-Lt.woff") format("woff");
  font-weight: 200;
  font-style: normal
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-LtIt.woff2") format("woff2"), url("fonts/OracleSans-LtIt.woff") format("woff");
  font-weight: 200;
  font-style: italic
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-Rg.woff2") format("woff2"), url("fonts/OracleSans-Rg.woff") format("woff");
  font-weight: 400;
  font-style: normal
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-It.woff2") format("woff2"), url("fonts/OracleSans-It.woff") format("woff");
  font-weight: 400;
  font-style: italic
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-SBd.woff2") format("woff2"), url("fonts/OracleSans-SBd.woff") format("woff");
  font-weight: 500;
  font-style: normal
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-SBdIt.woff2") format("woff2"), url("fonts/OracleSans-SBdIt.woff") format("woff");
  font-weight: 500;
  font-style: italic
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-Bd.woff2") format("woff2"), url("fonts/OracleSans-Bd.woff") format("woff");
  font-weight: 700;
  font-style: normal
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-BdIt.woff2") format("woff2"), url("fonts/OracleSans-BdIt.woff") format("woff");
  font-weight: 700;
  font-style: italic
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-XBd.woff2") format("woff2"), url("fonts/OracleSans-XBd.woff") format("woff");
  font-weight: 800;
  font-style: normal
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans";
  src: url("fonts/OracleSans-XBdIt.woff2") format("woff2"), url("fonts/OracleSans-XBdIt.woff") format("woff");
  font-weight: 800;
  font-style: italic
}

@font-face {
  font-display: fallback;
  font-family: "Oracle Sans Condensed";
  src: url("fonts/OracleSans-Bd.woff2") format("woff2"), url("fonts/OracleSans-Bd.woff") format("woff");
  font-weight: 500;
  font-style: normal
}

html {
  font-family: "Oracle Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", sans-serif;
  height: 100%;
}

body {
  height: 100%;
}


#scroll-style::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 2px rgba(0,0,0,0.3);
	background-color: #312d2a;
}

#scroll-style::-webkit-scrollbar
{
	width: 6px;
	background-color: #312d2a;
}

#scroll-style::-webkit-scrollbar-thumb
{
	background-color: #211d1a;
	border: 1px solid #312d2a;
}


.sidenav {
  background-color: #eceae5;
}

.sidenav:before {
    background-image: url("https://docs.oracle.com/en/css/images/whatsnew_rw_texture.png");
    background-repeat: repeat;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: .1;
    z-index: -1;
}

/* end redwood */

.oracle-grey {
    background-color: #312d2a !important;
  }

  .material-icons.ora { color: #eee; }
  
  .panel-1 {
    background-image:url("/img/rh02-panel1.jpg")
  }
  
  .panel-2 {
    background-image:url("/img/rh02-panel2.jpg")
  }
  
  .panel-3 {
    background-image:url("/img/rh02-panel3.jpg")
  }

  .race-row {
    height: 100%;
  }

  .tele-panel {
    display: inline;
    visibility: visible;
  }
  
  .materialize-red {
    background-color: #e51c23 !important;
  }
  
  .oracle-font {
    font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
    font-size:1.2rem;

  }

  .panel-inside {
    font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
    font-size:1.2rem;
    font-weight:100;
    line-height:1.3;
    color: #eee;
  }

  .results-panel {
    padding: 10px;
    height: 100%;
  }
  
  .tele-panel {
    padding: 10px;
    height: 100%;
  }

  .race-table {
    padding: 0 0 0 0; 
  }
  
  .topbar {
    font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
    font-size:2.2rem;
    font-weight:100;
    line-height:1.8;
    color: #eee;
    margin-left: 0.75rem;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
  
  }

  td {
    padding: 5px;
  }

  label {
    color: #eee;
  }

thead,
tbody tr {
    /* display: table; */
    width: 100%;
    table-layout: fixed;
}

thead {
    width: calc(100% - 1em)
}

table {
    width: 100%;
}

tr > td {
  width: 4em
}

input {
    color: #ddd;
}

.led {
    width: 20px;
    height: 20px;
    border-radius: 30%;
    display: inline-block;
}

.bar-value {
    width: 95%;
    display: inline-block;
 }

.bar-value {
    height: 10px;
    width: 100%;
    border-radius: 5%;
    padding: 0;
    margin: 0;
    background-color: #bbbbbb;
}

.bar-title {
    height: 10px;
    font-size:.8rem;
    padding: 0;
    margin: 0;
}

.mqtt-output {
    color: #aaa;
    font-size:10px;
    padding: 10px;
}

.race-toast {
  background-color: #e51c23 !important;
  
}

.chart-card {
  background-color: #132933 !important;
  
}

.canvas-3d {
  margin-top: 8px;
  padding-left: 0px;
  padding-right: 0px;
  float: left;
  width: 90%;
  height: 85%;
  position:relative; 
}

.details-3d {
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-size:0.8rem;
  font-weight:100;
  line-height:1.3;
  color: #eee;
}

.loading-panel {
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-size:0.8rem;
  font-weight:100;
  line-height:1.3;
  color: #eee;
  background-color: #312d2a !important;

  position:absolute; 
  top: 10px;
  left: 20px;
  padding: 10px;
  margin-top: 0px;
  display: none;
}

.canvas-3d-controls {
  position:absolute; 
  padding: 10px;
  margin-top: 10px;
  z-index:11;
}

.canvas-3d-telemetry {
  width: 250px;
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-size:0.8rem;
  color: #eee;
  position:absolute; 
  padding: 10px;
  margin-top: 0px;
  top: 10px;
  left: 30px;
  z-index:  0;
  display: none;
}

.canvas-3d-telemetry-dark {
  background-color: rgba(0, 0, 0, 0.7);;
}

.bar-value-3d {
  height: 10px;
  width: 0px;
  padding: 0;
  margin-left: 5px;
  display: inline-block;
}

.centered-axis-xy {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
}

.centered-axis-x {
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0);
}

.popup {
  width: 80%;
  top: 5%;
  z-index:  999;
  display: none;
}

.play-controls {
  width: 30px;
  color: #eee;
  position:absolute; 
  padding: 10px;
  margin-top: 10px;
  top: 10px;
  right: 30px;
  z-index:  0;
  display: none;
}

.label-3d {
  border: 1px solid #eee;
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-size:0.7rem;
  color: #FFF;
  padding: 6px;
  background: rgba( 0, 0, 0, .3 );
}

.legend-3d {
  width: 100px;
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-size:0.8rem;
  color: #333;
  position:absolute; 
  padding: 10px;
  margin-top: 10px;
  top: 50px;
  right: 30px;
  z-index:  0;
}

.menu-header {
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-weight: 600;
  font-size:1rem;
  color: #333;
}

.menu-content {
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-weight: 600;
  font-size:0.8rem;
  color: #333;
}

.race-table-row {
  margin-top: 6px;
  margin-bottom: 6px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}

.newsticker {
  margin-top: 0px;
  margin-left: 12px;
  margin-right: 12px;
  margin-bottom: 4px;
}

.newsticker-caption {
  height: 40px; 
  width: 200px; 
  float: left; 
  margin-left: 12px;
  padding: 3px;
  text-align: center;
  position: relative;
}

div.newsticker-caption p {
  font-size: 1.3rem;
  font-weight: 600;
  color: #fff;
  margin: 0;
  padding-left: 5px;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%) }

.newsticker-content {
  height: 40px; 
  margin-left: 210px;
  margin-right:20px;
}
  
div.newsticker-content ul {
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-weight: 0;
  font-size:1.8rem;
  color: #fff;
  margin: 0px;
}

div.newsticker-content li {
  margin: 0px;
  padding-left:10px;
}

.oracle-poland {
  font-family:"Oracle Sans",-apple-system,BlinkMacSystemFont,"Segoe UI","Helvetica Neue",sans-serif;
  font-size:1.0rem;
  font-weight:100;
  line-height:1.3;
  color: #eee;
}